org.apache.ignite.plugin.security

## Class AuthenticationContext

- java.lang.Object
- - org.apache.ignite.plugin.security.AuthenticationContext

    public class AuthenticationContext
    extends Object

Authentication context.

### Constructor Summary

Constructors
Constructor and Description
`AuthenticationContext()`

### Method Summary

Methods
`InetSocketAddress` `address()` Gets subject network address.
`void` `address(InetSocketAddress addr)` Sets subject network address.
`SecurityCredentials` `credentials()` Gets security credentials.
`void` `credentials(SecurityCredentials creds)` Sets security credentials.
`Map<String,Object>` `nodeAttributes()` Gets node attributes.
`void` `nodeAttributes(Map<String,Object> nodeAttrs)` Sets node attributes.
`UUID` `subjectId()` Gets subject ID.
`void` `subjectId(UUID subjId)` Sets subject ID.
`SecuritySubjectType` `subjectType()` Gets subject type.
`void` `subjectType(SecuritySubjectType subjType)` Sets subject type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticationContext

    public AuthenticationContext()

### Method Detail

#### subjectType

    public SecuritySubjectType subjectType()

Gets subject type.

Returns:
  Subject type.

#### subjectType

    public void subjectType(SecuritySubjectType subjType)

Sets subject type.

Parameters:
  `subjType` - Subject type.

#### subjectId

    public UUID subjectId()

Gets subject ID.

Returns:
  Subject ID.

#### subjectId

    public void subjectId(UUID subjId)

Sets subject ID.

Parameters:
  `subjId` - Subject ID.

#### credentials

    public SecurityCredentials credentials()

Gets security credentials.

Returns:
  Security credentials.

#### credentials

    public void credentials(SecurityCredentials creds)

Sets security credentials.

Parameters:
  `creds` - Security credentials.

#### address

    public InetSocketAddress address()

Gets subject network address.

Returns:
  Subject network address.

#### address

    public void address(InetSocketAddress addr)

Sets subject network address.

Parameters:
  `addr` - Subject network address.

#### nodeAttributes

    public Map<String,Object> nodeAttributes()

Gets node attributes.

Returns:
  Node attributes or empty map for `SecuritySubjectType.REMOTE_CLIENT`.

#### nodeAttributes

    public void nodeAttributes(Map<String,Object> nodeAttrs)

Sets node attributes.

Parameters:
  `nodeAttrs` - Node attributes.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017